This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 856884 - nm-applet regression: unable to connect to access point after resume from suspend, possibly due to GNOME3 UI interaction
nm-applet regression: unable to connect to access point after resume from sus...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: network-manager-applet (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 00:01 EDT by Vinod Kutty
Modified: 2013-07-31 19:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:38:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinod Kutty 2012-09-13 00:01:31 EDT
Description of problem:

I've been struggling with GNOME 3 since I migrated to F17 from F14 a few months ago. Multiple aspects of the new interface have made me less productive than prior releases. The most annoying problem is that resuming from suspend and connecting to my home wifi access point is harder than it used to be.

Version-Release number of selected component (if applicable):

NetworkManager-gnome-0.9.4.0-9.git20120521.fc17.x86_64

How reproducible: Every time


Steps to Reproduce:
1. Suspend laptop whilst connected to WPA/WPA2 access point
2. Resume from suspend
3. Screen is locked. Enter password to unlock.
4. Clicking on nm-applet icon shows a list of networks. Next to Wireless, there's a greyed out string "Authentication Required". No connection present.

  
Actual results:

Cannot connect to access point after resuming from suspend. Have to wait a long time for a timeout, then manually reconnect. Or switch radio kill button on laptop on + off, at which point it will scan again and the modal dialogue appears for me to confirm the passphrase (already filled out), so I can just hit enter to connect.

I'm guessing the new modal GNOME3 dialogue popup asking to confirm my connection came up while the screen was locked, and I'm unable to switch to it after unlocking the screen. It's not a real "window" AFAIK. The notification area on the bottom right of my workspace doesn't show anything either.

In one way, this seems to be faster detection and attempt to reconnect than prior Fedora/Network Manager releases, but there's some UI design fail here with the combination of GNOME3 and this version of nm-applet/NetworkManager.

Further aggravating matters is the fact that I cannot simply click on the access point in the drop down menu from nm-applet and reconnect. It won't let me because I'm guessing it's blocked on the dialogue box.


Expected results:

Robust, fairly foolproof ability to connect to wifi network after resuming and unlocking screen, as reliably and robustly. Every other wifi enabled device I own can (Android, iOS, Windows, Blackberry ).

Additional info:

Inspecting "Network Settings", the access point in question is set to connect automatically, but is not shared by all users.


Here's what /var/log/messages says:
----------------
Sep 12 19:14:48 myhost NetworkManager[735]: <info> Auto-activating connection 'MYACCESSPOINT'.
Sep 12 19:14:48 myhost NetworkManager[735]: <info> Activation (wlan0) starting connection 'MYACCESSPOINT'
Sep 12 19:14:48 myhost NetworkManager[735]: <info> (wlan0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Sep 12 19:14:48 myhost NetworkManager[735]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Sep 12 19:14:48 myhost NetworkManager[735]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Sep 12 19:14:48 myhost NetworkManager[735]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Sep 12 19:14:48 myhost NetworkManager[735]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Sep 12 19:14:48 myhost NetworkManager[735]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Sep 12 19:14:48 myhost NetworkManager[735]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
Sep 12 19:14:48 myhost NetworkManager[735]: <info> Activation (wlan0/wireless): access point 'MYACCESSPOINT' has security, but secrets are required.
Sep 12 19:14:48 myhost NetworkManager[735]: <info> (wlan0): device state change: config -> need-auth (reason 'none') [50 60 0]
Sep 12 19:14:48 myhost NetworkManager[735]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
----------------

At this point, instead of waiting for a timeout, I hit the RF_KILL switch on my laptop then back on again, and give it a few seconds. I get the dialogue for my password, hit enter to connect, then proceeds.
Comment 1 Fedora End Of Life 2013-07-03 18:02:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:38:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.